Search documentation of phoenix_kit

# PhoenixKit.Modules.Storage.ProcessFileJob (phoenix_kit v1.7.87)

Copy Markdown View Source

Oban job for background processing of uploaded files.

This job handles:

- Generating file variants (thumbnails, resizes)
- Extracting metadata (dimensions, duration)
- Updating file status

## Summary

### Functions

perform(job)

Process a file and generate variants.

## Functions

# perform(job)

Process a file and generate variants.